# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | List of all members
ProcessSequence Class Reference

Class to carry out instrumentation on sequence.

`#include <process_sequence.h>`

## Public Member Functions
| ProcessSequence (OverlayParams &, FileStreamInput &, FileStreamOutput &, std::ifstream &, bool, int, SourceParams &)
| Constructor. More...
| ~ProcessSequence ()
| Destructor. More...
void | DoSequence (int, int)
| DoSequence. More...

## Private Member Functions
bool | DoPicture ()
| DoPicture. More...
void | AddPictureEntry ()
| AddPictureEntry. More...

## Private Attributes
OverlayParams & | m_oparams
| Command-line overlay options. More...
FileStreamInput & | m_inputpic
| Input picture. More...
FileStreamOutput & | m_outputpic
| Output picture. More...
bool | m_verbose
| True for user output during process. More...
std::ifstream & | m_data_in
| Overlay data input stream. More...
OneDArray< me_data_entry > | m_data_array
| Data array. More...
int | m_data_fnum
| Picture numbers of process and overlay data. More...
int | m_process_fnum
bool | used_picture_data
| Read input picture data signal. More...
SourceParams & | m_srcparams
| Output source parameters. More...

## Constructor & Destructor Documentation

ProcessSequence::ProcessSequence | ( | OverlayParams & | ,
|  | FileStreamInput & | ,
|  | FileStreamOutput & | ,
|  | std::ifstream & | ,
|  | bool | ,
|  | int | ,
|  | SourceParams & |
| ) |  |

ProcessSequence::~ProcessSequence | ( |  | ) |
| inline

## Member Function Documentation

void ProcessSequence::AddPictureEntry | ( |  | ) |
| private

bool ProcessSequence::DoPicture | ( |  | ) |
| private

void ProcessSequence::DoSequence | ( | int | ,
|  | int |
| ) |  |

## Member Data Documentation

OneDArray<me_data_entry> ProcessSequence::m_data_array
| private

int ProcessSequence::m_data_fnum
| private

std::ifstream& ProcessSequence::m_data_in
| private

FileStreamInput& ProcessSequence::m_inputpic
| private

OverlayParams& ProcessSequence::m_oparams
| private

FileStreamOutput& ProcessSequence::m_outputpic
| private

int ProcessSequence::m_process_fnum
| private

SourceParams& ProcessSequence::m_srcparams
| private

bool ProcessSequence::m_verbose
| private

bool ProcessSequence::used_picture_data
| private

The documentation for this class was generated from the following file:

- process_sequence.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.